ngraph-gtk (6.08.08-1) unstable; urgency=medium

  * New upstream release
  * debian/control
   - bump Standards-Version to 4.5.0
   - use debhelper-compat (= 12) build-dependency form
   - use a canonical URI for the VCS-* fields
   - add a Rules-Requires-Root field
  * debian/copyright
   - add a license for "misc/ngraph-gtk.appdata.xml"
   - add an Upstream-Contact field.
  * debian/mime
   - fix "quoted-placeholder-in-mailcap-entry"
  * debian/ngraph-gtk.install
   - install icons and metainfo
  * debian/ngraph-gtk-addins-base.install
   - binaries are installed in "usr/libexec/ngraph-gtk/"
  * debian/libngraph0.install
   - "terminal" is installd in "usr/libexec/ngraph-gtk/"
  * debian/compat
   - removed
  * debian/patches/01_fix-include-order-to-avoid-stack-smashing.patch
   - removed because it was merged to the upstream
  * debian/upstream/metadata
   - added
  * debian/source/include-binaries
   - removed
  * debian/patches/01_fix-utf8-related-test.patch
   - use C.UTF-8 locale instead of ja_JP.utf8

 -- Hiroyuki Ito <ZXB01226@nifty.com>  Mon, 07 Dec 2020 21:08:02 +0900

ngraph-gtk (6.08.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix fails at runtime on 32-bit archs. Thanks to
    Bernhard Übelacker <bernhardu@mailbox.org>. Closes: #920467

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 16 Feb 2019 13:22:16 +0100

ngraph-gtk (6.08.00-1) unstable; urgency=medium

  * New upstream release
  * debian/control
   - bump Standards-Version to 4.2.1
  * debian/tests/control-test
   - Restrictions: allow-stderr
  * debian/upstream-signing-key.pgp
   - replaced to upstream/signing-key.asc

 -- Hiroyuki Ito <ZXB01226@nifty.com>  Sun, 09 Dec 2018 19:33:32 +0900

ngraph-gtk (6.07.06-1) unstable; urgency=medium

  * New upstream release
  * debian/compat
   - set the debhelper compatibility level to 11.
  * debian/control
   - fix priority
   - bump Standards-Version to 4.1.1
   - change the section of ngraph-gtk to optional
   - change the section of libngraph0 to libs
   - remove build dependency: dh-autoreconf
   - add Vcs-Git and Vcs-browser fields
  * debian/libngraph0-dev.install
   - install *.a files
  * debian/libngraph0.install
   - don't install some resources
  * debian/libngraph0.postrm
   - remove unused directory
  * debian/ngraph-gtk-addins-base.install
   - add img2gra addin
  * debian/ngraph-gtk-addins.install
   - add img2gra addin
  * debian/ngraph-gtk.install
   - don't install pixmaps
   - install a GtkSourceView language definition
  * debian/patch/1000_clean_time_file.patch
   - removed because it was merged to the upstream
  * debian/patch/1001_fix_misspelling.patch
   - removed because it was merged to the upstream
  * debian/patch/1002_use_strdup.patch
   - removed because it was merged to the upstream
  * debian/patch/fix_clean_files.patch
   - clean src/gtk/data/gtk/menus-common.ui file
  * debian/watch
   - bump version to 4.1.0
  * debian/rules
   - remove "-with autoreconf" option
  * debian/tests/control
   - use wrapper script
  * debian/tests/run-test
   - add wrapper script
  * debian/tests/ngraph-test
   - add test script
  * debian/copyright
   - use secure URIs
  * debian/changelog
   - remove trailing-whitespace

 -- Hiroyuki Ito <ZXB01226@nifty.com>  Fri, 16 Mar 2018 00:26:32 +0900

ngraph-gtk (6.07.02-2) unstable; urgency=medium

  * debian/control
   - fix dependencies of libngraph0
  * debian/patch/1000_clean_time_file.patch
   - clean .*.time file
  * debian/patch/1001_fix_misspelling.patch
   - fix missing
  * debian/patch/1002_use_strdup.patch
   - use strdup instead of strncpy
  * debian/watch
   - check releases directory instead of tag directory
  * debian/rules
   - export DEB_BUILD_MAINT_OPTIONS

 -- Hiroyuki Ito <ZXB01226@nifty.com>  Fri, 30 Dec 2016 10:28:12 +0900

ngraph-gtk (6.07.02-1) unstable; urgency=medium

  * New upstream release
  * debian/patch/1000_replace-deprecated-typedef.patch
   - removed because it was merged to the upstream
  * debian/patch/1001_ruby2.0-path-fix.patch
   - removed because it was merged to the upstream
  * debian/patch/fix-version-script.patch
   - removed because it was merged to the upstream
  * debian/control
   - build dependencies for readline, change libreadline6-dev to libreadline-dev
   - homepage is moved to http://hito.music.coocan.jp/ngraph/ngraph-gtk.html
   - add libngraph0, ruby-ngraph and ngraph-gtk-addin-spellcheck packages
   - ngraph-gtk-dev is renamed as libngraph0-dev
   - ngraph-gtk-plugin-ruby is depend on ruby-ngraph
  * add following install files for new packages
   - libngraph0-dev.install
   - libngraph0.install
   - ngraph-gtk-addin-spellcheck.install
   - ruby-ngraph.install
  * debian/ngraph-gtk-addin-import-ps.install
   - install ruby script is only fig2gra.rb
  * debian/ngraph-gtk-addins-base.install
   - calc addin is removed from upstream
  * debian/ngraph-gtk-addins.install
   - calc.nsc is removed in upstream
   - load_prm.nsc is added in upstream
  * debian/ngraph-gtk-dev.install
   - replaced to libngraph0-dev.install
  * debian/ngraph-gtk-plugin-ruby.install
   - install 20append_addins_ruby.nsc and ruby.nsc
  * debian/ngraph-gtk.install
   - some files are installed as libngraph0
  * debian/rules
   - fix install directory of bash-completion
  * debian/watch
   - Upstream repository is moved from sf.net to github.com
  * debian/copyright
   - homepage is moved to http://hito.music.coocan.jp/ngraph/ngraph-gtk.html
  * debian/menu
   - removed because the command is listed in a desktop file

 -- Hiroyuki Ito <ZXB01226@nifty.com>  Wed, 28 Dec 2016 10:47:33 +0900

ngraph-gtk (6.06.13-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure on mips* (Dejan Latinovic). Closes: #841302.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Nov 2016 14:02:34 +0100

ngraph-gtk (6.06.13-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807217

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 10:43:45 +0000

ngraph-gtk (6.06.13-5) unstable; urgency=medium

  * debian/rules
   - change XDG_RUNTIME_DIR to /root/xdg_run/ (Closes: #751664)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 15 Jun 2014 20:07:58 +0900

ngraph-gtk (6.06.13-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Antonio Terceiro <terceiro@debian.org> to fix FTBFS
    on Linux platforms. (Closes: #750043)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Jun 2014 23:24:52 +0200

ngraph-gtk (6.06.13-4) unstable; urgency=low

  * debian/patches/1000_replace-deprecated-typedef.patch
   - use rl_completion_func_t instead of CPPFunction (Closes: #743078)
  * debian/patches/1001_ruby2.0-path-fix.patch
   - support Ruby 2.0 (Closes: #739770)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 31 Mar 2014 21:31:04 +0900

ngraph-gtk (6.06.13-3) unstable; urgency=medium

  * debian/control
   - change the section of ngraph-gtk-dev to libdevel
   - add new build dependency: dh-autoreconf
  * debian/rules
   - use dh-autoreconf to fix FTBFS on ppc64el (Closes: #734535)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 11 Jan 2014 18:30:19 +0900

ngraph-gtk (6.06.13-2) unstable; urgency=medium

  * debian/upstream-signing-key.pgp
  * debian/watch
  * debian/source/include-binaries
   - add upstream signing key to verify upstream source code
  * debian/control
   - bump Standards-Version to 3.9.5

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 29 Dec 2013 11:22:16 +0900

ngraph-gtk (6.06.13-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - add ngraph-gtk-dev, ngraph-gtk-plugin-ruby packages
  * add following install files for new packages
   - ngraph-gtk-dev.install
   - ngraph-gtk-plugin-ruby.install

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 13 Dec 2013 20:20:42 +0900

ngraph-gtk (6.06.11-1) unstable; urgency=low

  * New upstream release

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Wed, 17 Jul 2013 09:59:41 +0900

ngraph-gtk (6.06.10-1) unstable; urgency=low

  * New upstream release
  * debian/patch/01_replace_to_free_fonts.patch
   - removed because it was merged to the upstream

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 20 Jun 2013 14:21:39 +0900

ngraph-gtk (6.06.09-1~exp1) experimental; urgency=low

  * New upstream release

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 10 Mar 2013 00:00:11 +0900

ngraph-gtk (6.06.08-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/control
   - remove DM-Upload-Allowed field
   - update Standards-Version to 3.9.4

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 10 Dec 2012 10:18:47 +0900

ngraph-gtk (6.06.07-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/rules
   - disable silent rule for checking hardening flags

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 08 Sep 2012 10:09:03 +0900

ngraph-gtk (6.06.06-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - update long description of ngraph-gtk-addins
  * debian/ngraph-gtk.install
   - add icons
  * debian/patches/10_avoid-docs-conflict.patch
   - removed because documents will be placed to correct path without
     this patch
  * debian/patches/01_replace_to_free_fonts.patch
   - renamed from 20_replace_to_free_fonts.patch
  * debian/ngraph-gtk.lintian-overrides
   - removed because ngraph is added for known interpreter

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 18 Jun 2012 23:57:20 +0900

ngraph-gtk (6.06.05-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - add build-depends: libreadline6-dev
   - add suggests: fonts-liberation
   - add ngraph-gtk-addin-import-ps and ngraph-gtk-addin-tex-equation packages
   - add descriptions for each addins
   - allow DM upload
  * debian/copyright
   - update format uri
  * debian/patches/20_replace_to_free_fonts.patch
   - change settings to use free fonts
  * debian/ngraph-gtk-addins.install
   - removed import-ps and tex-equation addins to split a package
  * debian/ngraph-gtk-addin-import-ps.install
   - add import-ps addin
  * debian/ngraph-gtk-addin-tex-equation.install
   - add tex-equation addin

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 07 May 2012 22:34:01 +0900

ngraph-gtk (6.06.04-1) unstable; urgency=low

  * New upstream release.
  * Initial release for debian repository (Closes: #649345)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 25 Feb 2012 12:36:09 +0900

ngraph-gtk (6.06.03.1-1) unreleased; urgency=low

  * New upstream release.

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 12 Feb 2012 09:31:50 +0900

ngraph-gtk (6.06.03-1) unreleased; urgency=low

  * New upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 23 Nov 2011 09:16:03 +0900

ngraph-gtk (6.06.02-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 21 Sep 2011 15:14:42 +0900

ngraph-gtk (6.06.01-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Thu, 21 Jul 2011 10:51:42 +0900

ngraph-gtk (6.06.00-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 15 Jun 2011 11:56:19 +0900

ngraph-gtk (6.05.04-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 02 May 2011 16:34:35 +0900

ngraph-gtk (6.05.03-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 28 Mar 2011 09:58:05 +0900

ngraph-gtk (6.05.02-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Tue, 01 Feb 2011 18:46:05 +0900

ngraph-gtk (6.05.01-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Thu, 21 Oct 2010 10:36:02 +0900

ngraph-gtk (6.05.00-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 20 Sep 2010 11:40:20 +0900

ngraph-gtk (6.04.00-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 07 Jul 2010 19:05:29 +0900

ngraph-gtk (6.03.51.gtk-44-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 26 Apr 2010 20:45:10 +0900

ngraph-gtk (6.03.51.gtk-43-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 14 Apr 2010 18:46:29 +0900

ngraph-gtk (6.03.51.gtk-42-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 02 Apr 2010 17:22:50 +0900

ngraph-gtk (6.03.51.gtk-41-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <hito@bachman.nict.go.jp>  Wed, 24 Feb 2010 11:24:42 +0900

ngraph-gtk (6.03.51.gtk-40-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Tue, 16 Feb 2010 12:43:09 +0900

ngraph-gtk (6.03.51.gtk-39-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Tue, 02 Feb 2010 17:18:32 +0900

ngraph-gtk (6.03.51.gtk-38-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Thu, 24 Dec 2009 10:58:20 +0900

ngraph-gtk (6.03.51.gtk-37-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 18 Dec 2009 18:06:35 +0900

ngraph-gtk (6.03.51.gtk-36-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Thu, 26 Nov 2009 21:31:34 +0900

ngraph-gtk (6.03.51.gtk-35-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sat, 21 Nov 2009 21:34:56 +0900

ngraph-gtk (6.03.51.gtk-34-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 07 Nov 2009 22:47:15 +0900

ngraph-gtk (6.03.51.gtk-33-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Wed, 21 Oct 2009 22:47:15 +0900

ngraph-gtk (6.03.48.gtk-33-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sat, 19 Sep 2009 20:14:50 +0900

ngraph-gtk (6.03.48.gtk-32-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 17 Aug 2009 16:12:08 +0900

ngraph-gtk (6.03.48.gtk-31-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sat, 15 Aug 2009 13:20:23 +0900

ngraph-gtk (6.03.48.gtk-30-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 07 Aug 2009 17:37:37 +0900

ngraph-gtk (6.03.48.gtk-29-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 27 Jul 2009 11:38:25 +0900

ngraph-gtk (6.03.48.gtk-28-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sun, 05 Jul 2009 20:21:24 +0900

ngraph-gtk (6.03.48.gtk-27-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 26 Jun 2009 21:29:23 +0900

ngraph-gtk (6.03.48.gtk-26-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 05 Jun 2009 15:24:01 +0900

ngraph-gtk (6.03.48.gtk-25-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sat, 23 May 2009 17:04:46 +0900

ngraph-gtk (6.03.48.gtk-24-1) unreleased; urgency=low

  * new upstream release.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 20 Apr 2009 11:29:41 +0900

ngraph-gtk (6.03.48.gtk-23-1) unreleased; urgency=low

  * new upstream version.

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Mon, 10 Apr 2009 23:13:02 +0900

ngraph-gtk (6.03.47.gtk-22-1) unreleased; urgency=low

  * new upstream version

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sun, 29 Mar 2009 10:57:28 +0900

ngraph-gtk (6.03.47.gtk-21-1) unreleased; urgency=low

  * new upstream version

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 20 Mar 2009 15:03:00 +0900

ngraph-gtk (6.03.47.gtk-20-1) unreleased; urgency=low

  * new upstream version

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 06 Mar 2009 21:16:16 +0900

ngraph-gtk (6.03.47.gtk-19-1) unreleased; urgency=low

  * new upstream version

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Sat, 21 Feb 2009 11:11:59 +0900

ngraph-gtk (6.03.47.gtk-18-1) unreleased; urgency=low

  * new upstream version

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 23 Jan 2009 21:34:31 +0900

ngraph-gtk (6.03.47.gtk-17-1) unreleased; urgency=low

  * Initial release

 -- Ito Hiroyuki <ZXB01226@nifty.com>  Fri, 23 Jan 2009 10:10:07 +0900
